[RFC PATCH 9/9] mkimage_fit_opensbi.sh: produce working binaries by default

Petr Štetiar ynezz at true.cz
Wed Mar 18 10:57:56 CET 2020


At this moment unusable binaries are produced if bl31.bin file is
missing in order to allow passing of various CI tests. This intention of
broken binaries has to be now explicitly confirmed via new
BUILDBOT_BROKEN_BINARIES config option, so usable binaries are produced
by default from now on.

Signed-off-by: Petr Štetiar <ynezz at true.cz>
---
 arch/riscv/lib/mkimage_fit_opensbi.sh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/arch/riscv/lib/mkimage_fit_opensbi.sh b/arch/riscv/lib/mkimage_fit_opensbi.sh
index d6f95e5bfd2c..bf0968e683d2 100755
--- a/arch/riscv/lib/mkimage_fit_opensbi.sh
+++ b/arch/riscv/lib/mkimage_fit_opensbi.sh
@@ -17,8 +17,12 @@ if [ -z "$OPENSBI_LOAD_ADDR" ]; then
 fi
 
 if [ ! -f $OPENSBI ]; then
-	echo "WARNING: OpenSBI binary \"$OPENSBI\" not found, resulting binary is not functional." >&2
-	OPENSBI=/dev/null
+	if [ "$BUILDBOT_BROKEN_BINARIES" = "y" ]; then
+		OPENSBI=/dev/null
+	else
+		echo "ERROR: OpenSBI binary \"$OPENSBI\" not found, resulting binary would be non-functional." >&2
+		exit 1
+	fi
 fi
 
 cat << __HEADER_EOF


More information about the U-Boot mailing list